org.apache.catalina.util

## Class SystemPropertyReplacerListener

- java.lang.Object
- - org.apache.catalina.util.SystemPropertyReplacerListener

- All Implemented Interfaces:
    LifecycleListener

  Deprecated.
  No longer used. Will be removed in Tomcat 9.

      @Deprecated
      public class SystemPropertyReplacerListener
      extends Object
      implements LifecycleListener

  Helper class used to do property replacement on system properties.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemPropertyReplacerListener()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `lifecycleEvent(LifecycleEvent event)` Deprecated. Acknowledge the occurrence of the specified event.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SystemPropertyReplacerListener

          public SystemPropertyReplacerListener()

      Deprecated.

  - ### Method Detail

    - #### lifecycleEvent

          public void lifecycleEvent(LifecycleEvent event)

      Deprecated.
      Description copied from interface: `LifecycleListener`
      Acknowledge the occurrence of the specified event.
      Specified by:
        `lifecycleEvent` in interface `LifecycleListener`
      Parameters:
        `event` - LifecycleEvent that has occurred

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.